import React from "react";
import { InlineSingleDatePickerInput } from "./inline-single-date-picker-input";
import { PureComponent } from "react";
import { SINGLE_DATE_PICKER_PROP_TYPES, SingleDatePicker } from "./single-date-picker";
import { SingleDatePickerButtons } from "./single-date-picker-buttons";
import { SingleDatePickerCalendar } from "./single-date-picker-calendar";
import { isNil } from "lodash";
export class InlineSingleDatePicker extends PureComponent {
  // Expose sub-components.
  getCssClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "dib pointer";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    return React.createElement(SingleDatePicker, Object.assign({}, this.props, {
      className: this.getCssClasses()
    }));
  }

}
InlineSingleDatePicker.propTypes = SINGLE_DATE_PICKER_PROP_TYPES;
InlineSingleDatePicker.defaultProps = {
  input: React.createElement(InlineSingleDatePickerInput, null),
  placeholder: "pick a date"
};
InlineSingleDatePicker.Input = InlineSingleDatePickerInput;
InlineSingleDatePicker.Calendar = SingleDatePickerCalendar;
InlineSingleDatePicker.Buttons = SingleDatePickerButtons;