import React from "react";
import { Button, Ref } from "semantic-ui-react";
import { PureComponent, createRef } from "react";
import { func, string } from "prop-types";
import { isNil } from "lodash";
import { useHandlerProxy } from "@orbit-ui/react-components-shared";
export class MultiSelectClearButton extends PureComponent {
  constructor(...args) {
    super(...args);
    this._buttonRef = createRef();
    this.handleClick = useHandlerProxy(this, "onClick", false);
  }

  getClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "ghost tall";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    const {
      text
    } = this.props;
    return React.createElement(Ref, {
      innerRef: this._buttonRef
    }, React.createElement(Button, {
      onClick: this.handleClick,
      className: this.getClasses(),
      type: "button"
    }, text));
  }

}
MultiSelectClearButton.propTypes = {
  text: string,
  // eslint-disable-next-line react/no-unused-prop-types
  onClick: func,
  className: string
};
MultiSelectClearButton.defaultProps = {
  text: "Clear all"
};