import React from "react";
import { Input, Ref } from "semantic-ui-react";
import { PureComponent, createRef } from "react";
import { func, node, string } from "prop-types";
import { isNil } from "lodash";
export class MultiSelectDropdownSearchInput extends PureComponent {
  constructor(...args) {
    super(...args);
    this._inputRef = createRef();

    this.handleChange = (event, {
      value
    }) => {
      const {
        onChange
      } = this.props;
      onChange(event, value, this.props);
    };
  }

  getClasses() {
    const {
      className
    } = this.props;
    const defaultClasses = "colored";
    return isNil(className) ? defaultClasses : "".concat(defaultClasses, " ").concat(className);
  }

  render() {
    const {
      placeholder,
      icon
    } = this.props;
    return React.createElement(Ref, {
      innerRef: this._inputRef
    }, React.createElement(Input, {
      onChange: this.handleChange,
      placeholder: placeholder,
      icon: true,
      iconPosition: "left",
      className: this.getClasses(),
      autoComplete: "off"
    }, React.createElement("i", {
      className: "icon"
    }, icon), React.createElement("input", {
      type: "text",
      autoFocus: true
    })));
  }

}
MultiSelectDropdownSearchInput.propTypes = {
  onChange: func,
  icon: node,
  placeholder: string,
  className: string
};