import _defineProperty from "@babel/runtime/helpers/esm/defineProperty";

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

import { fetchWithTimeout } from "./fetch";
import { isNil, pickBy } from "lodash";
import { isNotNullOrEmpty } from "../utils/types";
import { toSearch } from "../utils/url";
const DEFAULT_TIMEOUT = 0;
const DEFAULT_OPTIONS = {
  headers: {
    "Content-Type": "application/json"
  },
  timeout: DEFAULT_TIMEOUT
};
export function httpGet({
  url,
  data,
  options = {}
}) {
  let requestUrl = url;

  if (!isNil(data)) {
    const urlParameters = toSearch(pickBy(data, x => !isNil(x)));

    if (isNotNullOrEmpty(urlParameters)) {
      requestUrl = "".concat(requestUrl, "?").concat(urlParameters);
    }
  }

  return fetchWithTimeout(requestUrl, _objectSpread({
    method: "GET"
  }, DEFAULT_OPTIONS, {}, options));
}